android – Eclipse ADT update does not work-ThrowExceptions

Exception or error:

I updated my android sdk to and I tried updating my adt via ecplise through

Help-> Check for updates

This action results in the dialog that says:

no updates found

But my SDK says:

This android is SDK requires Android Development Kit 21.1.0 or above
Current version is 21.1.0.v201212060256-543035

Please update ADT to the latest version.

Help me out and you have my enormous undying gratitude.

How to solve:

Edit. 26/03/2016

Please note that Google Announced: Support for the Android Developer Tools (ADT) in Eclipse has ended, so consider migration to Android Studio.


Solution:

The fastest installation way I found to solve that without deleting eclipse, or losing any data/settings:

  1. Go here download latest version of ADT, current ADT-23.0.7.zip (*)
  2. At Eclipse > Help > Install new software... > Uncheck Contact all update sites during install to find required software (bottom, last preference) in order to avoid any unwanted delays during install.
  3. Same screen (top) Click Add > Archive > select downloaded ADT-X.X.X.zip > follow on screen installation steps

As a user mentioned in a comment if you still face problems on updating like that you may try removing the previous version of ADT before installation.


(*) Previous versions:

Edit to fit the updates of ADT, this solution seems to work in any version 😀

###

I had similar issue when upgrading to 22.6.1 and I got support from Android team. The solution was super simple.

You need to go Help – Install new software and choose there httpS:// (s is important) update site, and then execute installation.

Check out this solution on Android issue tracker.

###

I had another issue with ADT 23+.

My ADT plugin was out-of-date, but Eclipse was still saying that the latest version was already installed.
Installing manually the latest ADT version with the archive was not working either.

Eclipse was wrong so I made a clean install of ADT Plugins.

  1. Uninstall ADT in Eclipse: Help > About Eclipse > Installation Details

  2. Select the plugins then click on Uninstall…

  3. Relaunch Eclipse

  4. Install ADT again: Help > Install New Software…

###

I had the same problem. The command line update didn’t work for me for some reason. It’s some sort of bug that I haven’t experienced in any update before this one. Here’s what I did to fix it:

  • I deleted my eclipse installation

  • Downloaded a fresh copy of the sdk from the developer website

  • unzipped the sdk and copied only the eclipse folder

  • replaced my old eclipse folder with this one (deleted the rest of the download since I already had the sdk)

  • started up eclipse and pointed the workspace location to the old workspace I already had. All my projects were back as I had left them.

There might be other methods as well. This one seemed simplest to me. Others have suggested updating every eclipse component one by one and things like that but it seemed too tedious to me. If your eclipse installation is heavily customized and you have a lot of plugins installed then it might make sense to find an alternative. My install is always pretty minimalistic so I didn’t mind throwing it away and starting from scratch.

Hope this helps!

###

And at the page Google for Android Development at link http://developer.android.com/sdk/installing/installing-adt.html#Troubleshooting

They say:

If Eclipse can not find the remote update site containing the ADT plugin, try changing the remote site URL to use http, rather than https. That is, set the Location for the remote site to:

http://dl-ssl.google.com/android/eclipse/

For me – it’s help.

###

If the solution of madlymad is not working, you could also try this solution which has worked for me.

In short: completely uninstall adt and then use the archive to install it again (as suggested above).

Without the uninstall i ran into conflicting jars.

###

Download Updated bundles here:

win32: Here

Unfortunately, you will NOT be able to update an existing installation. Just use a new copy of Eclipse and install the plugins using the update site, or use the bundle.

OR
You can fix this issue by removing all old Android plugins. Once you have removed all of the old Android plugins you can then install the new ones.

  1. Open Eclipse
  2. Select Help
  3. Select About Eclipse SDK
  4. Select Installation details
  5. High light all Android plugins
  6. Select Uninstall
  7. Restart Eclipse
  8. Then install the plugins again as normal
  9. Restart Eclipse

At this point everything should be working again.

Solution via: https://code.google.com/p/android/issues/detail?id=73102

###

You can always try to update the SDK Tools and Platform tools outside Eclipse.

in CMD or Terminale type:

 $ android

and the SDK manager will start.

Leave a Reply

Your email address will not be published. Required fields are marked *